Bug 995340 - Crash in kernel (networking)
Crash in kernel (networking)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 02:58 EDT by Simon Roberts
Modified: 2013-08-15 09:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 09:30:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Roberts 2013-08-09 02:58:24 EDT
Description of problem:
Watching TV on my mythtv machine, been stable for years, been on Fedora 19 since release, with no problems. Crashed three times in 10 minutes, with similar stack trace (attached below).

Version-Release number of selected component (if applicable):
System is 100% Fedora binary RPMs, plus RPM Fusion RPMs (including Nvidia drivers) + Google Chrome

root@mythtv ~]# uname -a
Linux mythtv.intranet 3.10.3-300.fc19.x86_64 #1 SMP Fri Jul 26 00:00:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@mythtv ~]# rpm -q kernel
kernel-3.10.3-300.fc19.x86_64
[root@mythtv ~]# rpm -qa \*nvidia\* | sort
kmod-nvidia-3.10.3-300.fc19.x86_64-319.32-2.fc19.x86_64
nvidia-settings-319.32-1.fc19.x86_64
nvidia-texture-tools-2.0.8-5.fc19.x86_64
nvidia-xconfig-319.32-1.fc19.x86_64
xorg-x11-drv-nvidia-319.32-7.fc19.x86_64
xorg-x11-drv-nvidia-libs-319.32-7.fc19.x86_64
[root@mythtv ~]# 


How reproducible:
Very

Steps to Reproduce:
1. Watch TV from my laptop (mythfrontend on mac)
2. Service (Fedora) crashes, seemingly in kernel
3.

Actual results:

[23796.251767] ------------[ cut here ]------------
[23796.251789] WARNING: at net/ipv4/tcp_input.c:2776 tcp_fastretrans_alert+0xc64/0xd00()
[23796.251793] Modules linked in: fuse ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack nf_conntrack ip6table_filter ip6_tables hwmon_vid xfs libcrc32c nvidia(POF) fc0012 rtl2832 snd_hda_codec_via snd_hda_intel snd_hda_codec iTCO_wdt dvb_usb_rtl28xxu rtl2830 dvb_usb_v2 dvb_core iTCO_vendor_support rc_core snd_hwdep acpi_cpufreq mperf coretemp microcode serio_raw snd_seq snd_seq_device snd_pcm i2c_i801 snd_page_alloc snd_timer snd soundcore lpc_ich mfd_core atl1e drm i2c_core shpchp asus_atk0110 binfmt_misc
[23796.251844] CPU: 0 PID: 0 Comm: swapper/0 Tainted: PF       W  O 3.10.3-300.fc19.x86_64 #1
[23796.251848] Hardware name: System manufacturer System Product Name/P5KPL-CM, BIOS 0512    05/19/2008
[23796.251852]  0000000000000009 ffff88007fc03aa8 ffffffff81643216 ffff88007fc03ae0
[23796.251857]  ffffffff8105c211 ffff8800068faa00 0000000000004122 0000000000000000
[23796.251862]  0000000000000000 0000000000000003 ffff88007fc03af0 ffffffff8105c2ea
[23796.251868] Call Trace:
[23796.251871]  <IRQ>  [<ffffffff81643216>] dump_stack+0x19/0x1b
[23796.251884]  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
[23796.251889]  [<ffffffff8105c2ea>] warn_slowpath_null+0x1a/0x20
[23796.251894]  [<ffffffff8158bf04>] tcp_fastretrans_alert+0xc64/0xd00
[23796.251899]  [<ffffffff8158caa8>] tcp_ack+0xa08/0xfd0
[23796.251906]  [<ffffffff815c4ed7>] ? ipt_do_table+0x317/0x6b0
[23796.251911]  [<ffffffff8158d532>] tcp_rcv_established+0x182/0x8b0
[23796.251916]  [<ffffffff815975e4>] tcp_v4_do_rcv+0x1b4/0x470
[23796.251921]  [<ffffffff81599956>] tcp_v4_rcv+0x676/0x7c0
[23796.251927]  [<ffffffff81573b80>] ? ip_rcv_finish+0x320/0x320
[23796.251933]  [<ffffffff8156af94>] ? nf_hook_slow+0x74/0x130
[23796.251938]  [<ffffffff81573b80>] ? ip_rcv_finish+0x320/0x320
[23796.251943]  [<ffffffff81573c50>] ip_local_deliver_finish+0xd0/0x210
[23796.251947]  [<ffffffff81573f27>] ip_local_deliver+0x47/0x80
[23796.251952]  [<ffffffff815738d8>] ip_rcv_finish+0x78/0x320
[23796.251957]  [<ffffffff8157418f>] ip_rcv+0x22f/0x380
[23796.251962]  [<ffffffff81093be8>] ? __enqueue_entity+0x78/0x80
[23796.251967]  [<ffffffff81098317>] ? enqueue_entity+0x237/0x890
[23796.251973]  [<ffffffff8153cb86>] __netif_receive_skb_core+0x646/0x820
[23796.251979]  [<ffffffff81018300>] ? recalibrate_cpu_khz+0x10/0x10
[23796.251984]  [<ffffffff8153cd78>] __netif_receive_skb+0x18/0x60
[23796.251989]  [<ffffffff8153cdf3>] netif_receive_skb+0x33/0xb0
[23796.251998]  [<ffffffffa008ce5c>] atl1e_clean+0x1cc/0x3e0 [atl1e]
[23796.252004]  [<ffffffff8153d169>] net_rx_action+0x149/0x240
[23796.252010]  [<ffffffff81064987>] __do_softirq+0xf7/0x240
[23796.252015]  [<ffffffff81064c65>] irq_exit+0xb5/0xc0
[23796.252020]  [<ffffffff816534d6>] do_IRQ+0x56/0xc0
[23796.252026]  [<ffffffff8164952d>] common_interrupt+0x6d/0x6d
[23796.252029]  <EOI>  [<ffffffff81041046>] ? native_safe_halt+0x6/0x10
[23796.252038]  [<ffffffff8101955f>] default_idle+0x1f/0xc0
[23796.252043]  [<ffffffff81019e36>] arch_cpu_idle+0x26/0x30
[23796.252049]  [<ffffffff810aa3be>] cpu_startup_entry+0xce/0x280
[23796.252055]  [<ffffffff8162d3c7>] rest_init+0x77/0x80
[23796.252062]  [<ffffffff81d0bedc>] start_kernel+0x40a/0x416
[23796.252066]  [<ffffffff81d0b8db>] ? repair_env_string+0x5c/0x5c
[23796.252071]  [<ffffffff81d0b120>] ? early_idt_handlers+0x120/0x120
[23796.252077]  [<ffffffff81d0b5da>] x86_64_start_reservations+0x2a/0x2c
[23796.252081]  [<ffffffff81d0b6cf>] x86_64_start_kernel+0xf3/0x100
[23796.252085] ---[ end trace c69b2bb6bde12399 ]---


Expected results:


Additional info:
Comment 1 Josh Boyer 2013-08-15 09:30:10 EDT
Please let us know if you can recreate without the proprietary drivers.

Note You need to log in before you can comment on or make changes to this bug.